Ga Terug  
     


Notities

Websites, Internet algemeen Voor vragen over HTML/PHP/CSS of andere algemene zaken met betrekking tot websites of internet.

Antwoord
 
Onderwerpopties Weergavemodus
Oud 14 september 2016, 11:55   #1
HS1958
 
Geregistreerd op: 24 mei 2013
Locatie: Leiden
Leeftijd: 59
Berichten: 55
Bedankjes gegeven: 2
Bedankjes ontvangen: 1
Standaard PHP versie updaten in MAMP *

Hoe update je een versie van PHP in de backend (lokaal) ook alweer?

HS1958 is offline   Met citaat antwoorden
Oud 14 september 2016, 13:13   #2
hvdmeer
Moderatorteam
Gebruikersgroep Arnhem & Nijmegen
 
hvdmeer's Avatar
 
Geregistreerd op: 21 februari 2009
Locatie: Arnhem
Berichten: 3.161
Bedankjes gegeven: 108
Bedankjes ontvangen: 432
Standaard Re: PHP versie updaten *

Hoi HS1958, ik heb je vraag uit het topic afgesplitst waarin je deze gesteld hebt. Graag zien we dat je voor je eigen vragen zelf een nieuw topic aanmaakt in plaats dat je jouw vragen in andermans topic gaat stellen.

Verder, wat bedoel je precies? Je kan je PHP-versie niet in Joomla zelf instellen.
Je wilt lokaal een andere PHP-versie gebruiken? Welk softwarepakket gebruik je, XAMPP ofMAMP of nog wat anders?

J! doc-vertaler, J! patch tester, JUG-organisator, moderator
Eigen site: http://www.hierbenikthuis.nl en van mijn loopgroep: http://www.loopgroep-arnhemia.nl
Beetje over mij: http://hierbenikthuis.nl/prive/over-mij
Reageert op DM alleen op zaken die niet op het forum geplaatst kunnen worden.
hvdmeer is offline Stuur een bericht via Skype™ naar hvdmeer   Met citaat antwoorden
Oud 14 september 2016, 13:20   #3
HS1958
 
Geregistreerd op: 24 mei 2013
Locatie: Leiden
Leeftijd: 59
Berichten: 55
Bedankjes gegeven: 2
Bedankjes ontvangen: 1
Standaard Re: PHP versie updaten *

Ik gebruik MAMP.
Lokaal krijg ik deze mededeling:

You are using an obsolete PHP version

Ik test altijd eerst mijn websites lokaal uit, maak een backup en upload deze dan met Fetch en volg de gebruikelijke procedure
.

HS1958 is offline   Met citaat antwoorden
Oud 14 september 2016, 13:38   #4
hvdmeer
Moderatorteam
Gebruikersgroep Arnhem & Nijmegen
 
hvdmeer's Avatar
 
Geregistreerd op: 21 februari 2009
Locatie: Arnhem
Berichten: 3.161
Bedankjes gegeven: 108
Bedankjes ontvangen: 432
Standaard Re: PHP versie updaten in MAMP *

Kijk, dat is een waardevolle toevoeging. Wanneer je geen voldoende gegevens geeft kan niemand een goed antwoord geven. Als ik vraag van hoe hard kan mijn auto rijden kan je dat ook niet zeggen als je niet weet welke auto ik heb.

Ik heb zelf geen ervaring in MAMP

Laatst aangepast door hvdmeer : 14 september 2016 om 13:41.

J! doc-vertaler, J! patch tester, JUG-organisator, moderator
Eigen site: http://www.hierbenikthuis.nl en van mijn loopgroep: http://www.loopgroep-arnhemia.nl
Beetje over mij: http://hierbenikthuis.nl/prive/over-mij
Reageert op DM alleen op zaken die niet op het forum geplaatst kunnen worden.
hvdmeer is offline Stuur een bericht via Skype™ naar hvdmeer   Met citaat antwoorden
Oud 15 september 2016, 11:21   #5
n9iels
 
n9iels's Avatar
 
Geregistreerd op: 2 januari 2012
Locatie: Gouda
Leeftijd: 20
Berichten: 495
Bedankjes gegeven: 13
Bedankjes ontvangen: 96
Standaard Re: PHP versie updaten in MAMP *

als je MAMP opstart staat er in hetzelfde gedeelte waar je de server zelf start een tabje met iets als "PHP versions". Daar kun je selecteren welke versie je wilt gebruiken.

n9iels is offline Stuur een bericht via Skype™ naar n9iels   Met citaat antwoorden
Oud 22 september 2016, 12:55   #6
HS1958
 
Geregistreerd op: 24 mei 2013
Locatie: Leiden
Leeftijd: 59
Berichten: 55
Bedankjes gegeven: 2
Bedankjes ontvangen: 1
Standaard Re: PHP versie updaten in MAMP *

Klopt, maar de versie die ik daar zie, is te oud.... Dus ik moet een nieuwe installeren. Ik heb deze website gevonden waar ik die nieuwere versies kan downloaden: https://www.mamp.info/en/downloads/
Dus dat ga ik proberen. ;-)

---------- Bericht toegevoegd op 15 september 2016 om 15:17 ---------- Vorige bericht was op 15 september 2016 om 13:40 ----------

De uitleg van deze site gevolgd: http://haizdesign.com/mamp/how-to-upgrade-mamp-pro/
Het werkt bijna.
Versie 7.0.10 geselecteerd en ik kan de localhost bereiken. Helaas blijft het daar bij, want er staat geen vinkje bij MySQL Server, versie 5.6.28 (poort 3306)..... (wel vinkje bij Apache Server, poort 80).

---------- Bericht toegevoegd op 20 september 2016 om 22:56 ---------- Vorige bericht was op 15 september 2016 om 15:17 ----------

MAMP 4.0.4 werkte niet bij mij. Ik kwam er niet meer uit. Na uren puzzelen en topics op internet bekijken uiteindelijk MAMP 3.5.2 geïnstalleerd en die werkt wel. Echter mijn websites nog steeds niet. Bij de een een blanco pagina en bij de anderen een foutmelding.
Ga ik nog uitzoeken uiteraard, maar vrees dat ik hiermee weer uren en uren zoet ben....

---------- Bericht toegevoegd op 22 september 2016 om 12:55 ---------- Vorige bericht was op 20 september 2016 om 22:56 ----------

In Mamp 3.5.2 PHP-versie 5.6.10 geselecteerd. Websites gekopieerd van oude versie naar nieuwe versie Mamp. Databases geëxporteerd uit oude versie en geïmporteerd in nieuwe Mamp. Er waren nog wat foutjes hier en daar, maar die zijn opgelost met hulp van iemand anders.
Uiteindelijk is het goedgekomen, maar had veel voeten in de aarde......

HS1958 is offline   Met citaat antwoorden
Oud 22 september 2016, 14:58   #7
hvdmeer
Moderatorteam
Gebruikersgroep Arnhem & Nijmegen
 
hvdmeer's Avatar
 
Geregistreerd op: 21 februari 2009
Locatie: Arnhem
Berichten: 3.161
Bedankjes gegeven: 108
Bedankjes ontvangen: 432
Standaard Re: PHP versie updaten in MAMP *

Mooi dat het opgelost is!
Ik begin met XAMPP meestal schoon, of gebruik een nieuwe Akeeba backup om lokale sites te verhuizen van een oude XAMPP naar een nieuwe XAMPP.

Maar dat is zelden, meestal verwijder ik de oude map want wat er in staat kan vaak wel weg.

J! doc-vertaler, J! patch tester, JUG-organisator, moderator
Eigen site: http://www.hierbenikthuis.nl en van mijn loopgroep: http://www.loopgroep-arnhemia.nl
Beetje over mij: http://hierbenikthuis.nl/prive/over-mij
Reageert op DM alleen op zaken die niet op het forum geplaatst kunnen worden.
hvdmeer is offline Stuur een bericht via Skype™ naar hvdmeer   Met citaat antwoorden
Antwoord

Onderwerpopties
Weergavemodus

Berichting Regels
Je mag niet nieuwe onderwerpen maken
Je mag niet reageren op berichten
Je mag niet bijlagen posten
Je mag niet je berichten bewerken

BB code is Aan
Smilies zijn Aan
[IMG] code is Aan
HTML code is Uit

Forumnavigatie


Alle tijden zijn GMT +1. De tijd is nu 22:05.